%{?nodejs_find_provides_and_requires}

%global packagename csrf
%global enable_tests 1

Name:		nodejs-csrf
Version:	3.0.0
Release:	3%{?dist}
Summary:	Primary logic behind csrf tokens

License:	MIT
URL:		https://github.com/pillarjs/csrf
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(bluebird)
BuildRequires:	npm(rndm)
BuildRequires:	npm(scmp)
BuildRequires:	npm(uid-safe)
%endif

Requires:	nodejs

%description
Primary logic behind csrf tokens


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep rndm '^1.1.0'


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test %{_bindir}/mocha -R spec --trace-deprecation --bail --check-leaks test/
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Nov 04 2015 Jared Smith <jsmith@fedoraproject.org> - 3.0.0-3
- Add missing dependency on npm(bluebird) and npm(scmp)

* Wed Nov 04 2015 Jared Smith <jsmith@fedoraproject.org> - 3.0.0-2
- Adjust dependency versions

* Wed Nov  4 2015 Jared Smith <jsmith@fedoraproject.org> - 3.0.0-1
- Initial packaging
